//--------------------------------------------------------------------------------------------------																		
// ProgressIndicators.r
// ETO20 MacApp 3.3.1, MPW 3.4.1
// Copyright  1995-1996 by Conrad Kopala
// Twist Down Lists version 2.0a0 7/15/96
//--------------------------------------------------------------------------------------------------

#ifndef __TWISTDOWNGLOBALS__
#include "TwistDownGlobals.r"
#endif

resource 'STR#' (kProgressIndicatorOperationStrings,
#if qNames
"Progress Operation Strings",
#endif
nonpurgeable) {
	{
/* [1] */	"",
/* [2] */	"Untitled",
/* [3] */	"Reading:",
/* [4] */	"Writing:"

	}
};

resource 'STR#' (kProgressDialogTitles,
#if qNames
"Window titles",
#endif
nonpurgeable) {
	{
/* [1] */	"",
/* [2] */	"Untitled",
/* [3] */	"Reading:",
/* [4] */	"OK",
/* [5] */	"Cancel",
/* [6] */	"Stop"
	}
};

//--------------------------------------------------------------------------------------------------
// Progress Bar View
//--------------------------------------------------------------------------------------------------
resource 'View' (kProgressWindowID, 
#if qNames
"ProgressDialog", 
#endif
nonpurgeable) {
	MAThreeOh,
	{	/* array ViewArray: 6 elements */
		/* [1] */
		ViewSignatureAndClassname {
			'wind',778,"",noID,enabled,noIdle,{},MAThreeOh,
			{50,8},{180,300},sizeFixed,sizeFixed,shown,wantsToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			AdornerListSignatureAndClassname {
				NoIdentifier,AdornerList,AdornerElementSize,AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{
					AdornFirst,AdornerLocalObject {EraseAdorner},
					DrawView,AdornerLocalObject {DrawAdorner}
				}
			},
			emptyUserArea,
			Window {
				dBoxProc,kProgressViewID,noGoAwayBox,notResizable,ignoreFirstClick,
				freeOnClosing,disposeOnFree,doesntCloseDocument,openWithDocument,
				dontAdaptToScreen,dontStagger,forceOnScreen,center,doesntFloat,doesntHideOnSuspend,
				generateActivates,filler,kProgressDialogTitles,2
			},
			1
		},
		/* [2] */
		ViewSignatureAndClassname {
			'view',651,"TProgressView",kProgressViewID,enabled,noIdle,{},MAThreeOh,
			{0,0},{180,300},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			View {},
			4
		},
		/* [3] */
		ViewSignatureAndClassname {
			'stat',96,"",kProgressOperationViewID,notEnabled,noIdle,{},MAThreeOh,
			{25,6},{22,70},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			StaticText {
				mStaticTextHit,notHilited,notDimmed,notSizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline,autoWrap,dontEraseFirst,justSystem,kProgressDialogTitles,3
			},
			NoSubviews
		},
		/* [4] */
		ViewSignatureAndClassname {
			'stat',96,"",kProgressSubjectViewID,notEnabled,noIdle,{},MAThreeOh,
			{25,75},{45,199},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			StaticText {
				mStaticTextHit,notHilited,notDimmed,notSizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline,autoWrap,dontEraseFirst,justSystem,kProgressDialogTitles,2
			},
			NoSubviews
		},
		/* [5] */
		ViewSignatureAndClassname {
			'cntl',157,"TProgressBar",kProgressBarViewID,notEnabled,noIdle,{},MAThreeOh,
			{85,20},{11,260},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			AdornerListSignatureAndClassname {
				NoIdentifier,AdornerList,AdornerElementSize,AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{
					DrawView,AdornerLocalObject {DrawAdorner},
					72,AdornerSignatureAndClassname {'fram',"",NoIdentifier,freeOnDeletion,$""}
				}
			},
			emptyUserArea,
			Control {
				mControlHit,notHilited,notDimmed,sizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline
			},
			NoSubviews
		},
		/* [6] */
		ViewSignatureAndClassname {
			'butn',203,"",kStopItemID,enabled,noIdle,{},MAThreeOh,
			{130,107},{28,72},
			sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,kProgressDialogHelp,3,
			DrawingEnvironmentClassIDAndClassname {
				1,"TDrawingEnvironment",{3,3},8,$"FFFF FFFF FFFF FFFF",{0,0,0},{65535,65535,65535}
			},
			AdornerListSignatureAndClassname {
				NoIdentifier,AdornerList,AdornerElementSize,AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{
					DrawView,AdornerLocalObject {DrawAdorner},
					AdornAfter,AdornerSignatureAndClassname {'rrct',"",'outl',freeOnDeletion,$""}
				}
			},
			emptyUserArea,
			Button {
				mDismiss,notHilited,notDimmed,notSizeable,{4,4,4,4},
				kSystemFontTextStyle,dontPreferOutline,kProgressDialogTitles,6
			},
			NoSubviews
		}
	}
};



resource 'STR#' (kProgressDialogHelpStrings,
#if qNames
"ProgressDialogHelpStrings",
#endif
purgeable) {
	{
// [1]	Volume Name TStaticText
		"This is the name of the volume directory being read.",
// [2]	TProgressBar
		"This is the progress bar.",
// [3]	Stop button
		"Click to stop reading the volume directory.",	
	}
};


resource 'hdlg' (kProgressDialogHelp, 
#if qNames
"ProgressDialogHelp", 
#endif
purgeable) 
{
	HelpMgrVersion,
	0,
	hmDefaultOptions,
	0, /* balloon definition function */
	5, /* variation code */
	HMSkipItem {}, /* No missing item help */
	{
		HMStringResItem 	//Volume Name TStaticText
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kProgressDialogHelpStrings,1,
			kProgressDialogHelpStrings,1,
			kProgressDialogHelpStrings,1,
			kProgressDialogHelpStrings,1,
		},

		HMStringResItem 	//TProgressBar
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kProgressDialogHelpStrings,2,
			kProgressDialogHelpStrings,2,
			kProgressDialogHelpStrings,2,
			kProgressDialogHelpStrings,2,
		},
		
		HMStringResItem 		//Stop button
		{
			{ -1,0 }, /* tip location */
			{ 0,0,0,0 }, /* hot rectangle */
			kProgressDialogHelpStrings,3,
			kProgressDialogHelpStrings,3,
			kProgressDialogHelpStrings,3,
			kProgressDialogHelpStrings,3,
		}
	}
};

