//----------------------------------------------------------------------------------------
// TDLAboutBox.r
// ETO20 MacApp 3.3.1, MPW 3.4.1
// Copyright 1996 Conrad Kopala
// Twist Down Lists version 2.0a0 7/15/96
//----------------------------------------------------------------------------------------
#ifndef __TDLABOUTBOX__
#define __TDLABOUTBOX__

resource 'STR#' (kAboutBoxWindowID,
#if qNames
"About Box",
#endif
purgeable) {
	{
/* [1] */	"";							// Window title
/* [2] */		"OK";						// OK button title
/* [3] */		"^programName - ^verStr"; 
/* [4] */		"Description:";
/* [5] */		TDL_COPYRIGHT;
/* [6] */		"\n";
/* [7] */		WRITTEN_WITH_MACAPP
	}
};

resource 'View' (kAboutBoxWindowID,
#if qNames
"About Box",
#endif
purgeable) {
	MAThreeOh,
	{	/* array ViewArray: 7 elements */
		/* [1] */
		ViewSignatureAndClassname {
			'wind',874,"",noID,enabled,noIdle,
			{
				BehaviorSignatureAndClassname {
					'dlgb',"TDIALOGBEHAVIOR",DialogBehavior {enabled,noIdle,modal,kDefaultOKItemID,kDefaultOKItemID}
				}
			},
			MAThreeOh,
			{32,12},{239,438},sizeFixed,sizeFixed,notShown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			AdornerListSignatureAndClassname {
				NoIdentifier,AdornerList,AdornerElementSize,AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{
					AdornFirst,AdornerLocalObject {EraseAdorner},
					DrawView,AdornerLocalObject {DrawAdorner}
				}
			},
			emptyUserArea,
			Window {
				dBoxProc,kDefaultOKItemID,noGoAwayBox,notResizable,ignoreFirstClick,
				freeOnClosing,disposeOnFree,doesntCloseDocument,dontOpenWithDocument,
				dontAdaptToScreen,dontStagger,forceOnScreen,center,
				doesntFloat,doesntHideOnSuspend,generateActivates,filler,kAboutBoxWindowID,1
			},
			6
		},
		/* [2] */
		ViewSignatureAndClassname {
			'pict',90,"",noID,notEnabled,noIdle,{},MAThreeOh,
			{0,0},{240,439},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			Picture {
				mPictureHit,notHilited,notDimmed,notSizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline,kAboutBoxWindowID
			},
			NoSubviews
		},
		/* [3] */
		ViewSignatureAndClassname {
			'icon',91,"",'ICON',notEnabled,noIdle,{},MAThreeOh,
			{32,32},{32,32},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			Icon {
				mIconHit,notHilited,notDimmed,sizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline,preferColor,kAboutBoxIcon
			},
			NoSubviews
		},
		/* [4] */
		ViewSignatureAndClassname {
			'butn',204,"",kDefaultOKItemID,enabled,noIdle,{},MAThreeOh,
			{176,179},{28,80},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			DrawingEnvironmentClassIDAndClassname {
				1,"TDrawingEnvironment",{3, 3},8,
				$"FFFF FFFF FFFF FFFF",
				{0,0,0},{65535,65535,65535}
			},
			AdornerListSignatureAndClassname {
				NoIdentifier,AdornerList,AdornerElementSize,AdornerElementSizeShift,
				DynamicArrayAllocationIncrement,
				{
					DrawView,AdornerLocalObject {DrawAdorner},
					AdornAfter,AdornerSignatureAndClassname {'comp',"",'comp',freeOnDeletion,$"40"}
				}
			},
			emptyUserArea,
			Button {
				mDismiss,notHilited,notDimmed,sizeable,{4,4,4,4},
				kSystemFontTextStyle,dontPreferOutline,kAboutBoxWindowID,2
			},
			NoSubviews
		},
		/* [5] */
		ViewSignatureAndClassname {
			'stat',6,"",'pNam',notEnabled,noIdle,{},MAThreeOh,
			{32,96},{32,304},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			StaticText {
				mStaticTextHit,notHilited,notDimmed,sizeable,{0,0,0,0},
				kSystemFontTextStyle,preferOutline,autoWrap,dontEraseFirst,justSystem,kAboutBoxWindowID,3
			},
			NoSubviews
		},
		/* [6] */
		ViewSignatureAndClassname {
			'stat',96,"",'cprt',notEnabled,noIdle,{},MAThreeOh,
			{80,96},{50,304},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			StaticText {
				mStaticTextHit,notHilited,notDimmed,sizeable,{0,0,0,0},
				kSystemFontTextStyle,dontPreferOutline,autoWrap,dontEraseFirst,justSystem,kAboutBoxWindowID,5
			},
			NoSubviews
		},
		/* [7] */
		ViewSignatureAndClassname {
			'stat',96,"",noID,notEnabled,noIdle,{},MAThreeOh,
			{138,98},{36,241},sizeFixed,sizeFixed,shown,doesntWantToBeTarget,
			handlesCursor,letsSubViewsHandleCursor,noCursorID,
			handlesHelp,letsSubViewsHandleHelp,noHelpID,1,
			NoDrawingEnvironment {},
			NoAdorners {},
			emptyUserArea,
			StaticText {
				mStaticTextHit,notHilited,notDimmed,sizeable,{0,0,0,0},
				kApplFont9TextStyle,dontPreferOutline,autoWrap,dontEraseFirst,justCenter,kAboutBoxWindowID,7
			},
			NoSubviews
		}
	}
};

#ifndef __PICT_R__
#include "Pict.r"
#endif

resource 'PICT' (kAboutBoxWindowID,
#if qNames
"About Box Pict",
#endif
	purgeable, preload) {
	{-1, -1, 201, 435},
	VersionTwo {
		{	/* array OpCodes: 24 elements */
			/* [1] */
			HeaderOp {
				Version2,
				0xFFFF0000,
				0xFFFF0000,
				0x1B30000,
				0xC90000,
				0
			},
			/* [2] */
			DefHilite {

			},
			/* [3] */
			RGBFgCol {
				65535,
				65535,
				65535
			},
			/* [4] */
			Clip {
				{-1, -1, 201, 435},
				$""
			},
			/* [5] */
			PnPat {
				$""
			},
			/* [6] */
			PaintRect {
				{0, 0, 199, 433}
			},
			/* [7] */
			PnSize {
				{0, 0}
			},
			/* [8] */
			ShortLine {
				{36, 48},
				0,
				0
			},
			/* [9] */
			LongComment {
				182,
				$"0001 0001"
			},
			/* [10] */
			RGBFgCol {
				0,
				26214,
				65535
			},
			/* [11] */
			PnSize {
				{1, 1}
			},
			/* [12] */
			PnPat {
				$"FFFF FFFF FFFF FFFF"
			},
			/* [13] */
			FrameSameRect {

			},
			/* [14] */
			RGBFgCol {
				65535,
				65535,
				65535
			},
			/* [15] */
			PnPat {
				$""
			},
			/* [16] */
			PaintRect {
				{4, 4, 194, 428}
			},
			/* [17] */
			PnSize {
				{0, 0}
			},
			/* [18] */
			ShortLineFrom {
				0,
				0
			},
			/* [19] */
			LongComment {
				182,
				$"0001 0001"
			},
			/* [20] */
			RGBFgCol {
				56797,
				0,
				0
			},
			/* [21] */
			PnSize {
				{1, 1}
			},
			/* [22] */
			PnPat {
				$"FFFF FFFF FFFF FFFF"
			},
			/* [23] */
			FrameSameRect {

			},
			/* [24] */
			OpEndPic {

			}
		}
	}
};


#endif