//--------------------------------------------------------------------------------------------------																			
// TDLErrors.r		 											
// ETO20 MacApp 3.3.1, MPW 3.4.1																		
// Copyright  1996 by Conrad Kopala 
// Twist Down Lists version 2.0a0 7/15/96
//--------------------------------------------------------------------------------------------------

#ifndef __TWISTDOWNGLOBALS__
#include "TwistDownGlobals.r"
#endif

resource 'errs' (errReasonID + 1000, purgeable) {
	{	
	whichList, 0, kErrorStrings;
	errNotHFSVolume, errNotHFSVolume, 2;
	errAENotAFolder, errAENotAFolder, 4;
	errTooManyRows, errTooManyRows, 7;
	errCantExpandElement, errCantExpandElement, 9;
	errListAlreadyExpanded, errListAlreadyExpanded, 11;
	errListAlreadyCollapsed, errListAlreadyCollapsed, 12;
	errElementAlreadyExpanded, errElementAlreadyExpanded, 13;
	errElementAlreadyCollapsed, errElementAlreadyCollapsed, 14;
	errFailHere, errFailHere, 15;
	}
};

resource 'errs' (errRecoveryID + 1000, purgeable) {
	{	whichList, 0, kErrorStrings;			
		errNotHFSVolume, errNotHFSVolume, 3;
		errAENotAFolder, errAENotAFolder, 5;
		errTooManyRows, errTooManyRows, 8;
		errCantExpandElement, errCantExpandElement, 10;	

	}
};

resource 'errs' (errOperationsID + 1000, purgeable) {
	{	whichList, 0, kErrorStrings;	
		errNotHFSVolume, errNotHFSVolume, 1;
		errTooManyRows, errTooManyRows, 6;	
	}
};

/* The info strings for our errors.  */

resource 'STR#' (kErrorStrings,
#if qNames
	"kErrorStrings",
#endif
	purgeable) {
	{
	/* [1] */	"open ^3";
	/* [2] */	"it is not an HFS volume";
	/* [3] */	"Select another volume.";

	/* [4] */	"that element is not a folder";
	/* [5] */	"element is not a folder";
	
	/* [6] */	"open ^3";
	/* [7] */	"there are too many items for the view to display";
	/* [8] */	"Sorry, there is nothing you can do about it.";
	
	/* [9] */	"there are too many items for the view to display";
	/* [10] */	"Collapse another element and try again.";	
	
	/* [11] */	"the list is already expanded.";
	/* [12] */	"the list is already collapsed.";
	
	/* [13] */	"that element is already expanded.";
	/* [14] */	"that element is already collapsed.";
	
	/* [14] */	"FailHere triggered.";
	}
};